ospipsv: XOspiPsv Struct Reference

| ospipsv Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XOspiPsv Struct Reference
Ospipsv_v1_1

The XOspiPsv driver instance data. More...

## Data Fields
XOspiPsv_Config | Config
| Configuration structure. More...
u32 | IsReady
| Device is initialized and ready. More...
u8 * | SendBufferPtr
| Buffer to send (state) More...
u8 * | RecvBufferPtr
| Buffer to receive (state) More...
u32 | TxBytes
| Number of bytes to transfer (state) More...
u32 | RxBytes
| Number of bytes left to transfer(state) More...
u32 | IsBusy
| A transfer is in progress (state) More...
u32 | OpMode
| Operating Mode DAC or INDAC. More...
u32 | SdrDdrMode
| Edge mode can be SDR or DDR. More...
void * | StatusRef
| Callback reference for status handler. More...

## Detailed Description

The XOspiPsv driver instance data.

The user is required to allocate a variable of this type for every OSPIPSV device in the system. A pointer to a variable of this type is then passed to the driver API functions.

## Field Documentation

XOspiPsv_Config XOspiPsv::Config

Configuration structure.

Referenced by XOspiPsv_CfgInitialize(), XOspiPsv_ConfigureAutoPolling(), XOspiPsv_GetOptions(), XOspiPsv_Idle(), XOspiPsv_IntrHandler(), XOspiPsv_IntrTransfer(), XOspiPsv_PollTransfer(), XOspiPsv_Reset(), XOspiPsv_SetClkPrescaler(), XOspiPsv_SetOptions(), and XOspiPsv_SetSdrDdrMode().

u32 XOspiPsv::IsBusy

A transfer is in progress (state)

Referenced by XOspiPsv_CfgInitialize(), XOspiPsv_IntrHandler(), XOspiPsv_IntrTransfer(), XOspiPsv_PollTransfer(), XOspiPsv_SetClkPrescaler(), and XOspiPsv_SetOptions().

u32 XOspiPsv::IsReady

Device is initialized and ready.

Referenced by XOspiPsv_CfgInitialize(), XOspiPsv_GetOptions(), XOspiPsv_IntrTransfer(), XOspiPsv_PollTransfer(), XOspiPsv_SetClkPrescaler(), XOspiPsv_SetOptions(), and XOspiPsv_SetStatusHandler().

u32 XOspiPsv::OpMode

Operating Mode DAC or INDAC.

Referenced by FlashSetSDRDDRMode(), XOspiPsv_CfgInitialize(), XOspiPsv_Get_Proto(), XOspiPsv_IntrTransfer(), and XOspiPsv_SetOptions().

u8* XOspiPsv::RecvBufferPtr

Buffer to receive (state)

Referenced by XOspiPsv_CfgInitialize(), XOspiPsv_IntrHandler(), and XOspiPsv_IntrTransfer().

u32 XOspiPsv::RxBytes

Number of bytes left to transfer(state)

Referenced by XOspiPsv_CfgInitialize(), XOspiPsv_IntrHandler(), and XOspiPsv_IntrTransfer().

u32 XOspiPsv::SdrDdrMode

Edge mode can be SDR or DDR.

Referenced by BulkErase(), DieErase(), FlashEnterExit4BAddMode(), FlashErase(), FlashIoWrite(), FlashLinearWrite(), FlashRead(), FlashReadID(), FlashSetSDRDDRMode(), XOspiPsv_CfgInitialize(), and XOspiPsv_SetSdrDdrMode().

u8* XOspiPsv::SendBufferPtr

Buffer to send (state)

Referenced by XOspiPsv_CfgInitialize(), and XOspiPsv_IntrTransfer().

void* XOspiPsv::StatusRef

Callback reference for status handler.

Referenced by XOspiPsv_IntrHandler(), and XOspiPsv_SetStatusHandler().

u32 XOspiPsv::TxBytes

Number of bytes to transfer (state)

Referenced by XOspiPsv_CfgInitialize(), and XOspiPsv_IntrTransfer().